<h1>hello</h1>
<h2>{{title}}</h2>

<ul>
  <li *ngFor="let task of tasks()">
    {{task}}
  </li>
</ul>
<hr/>
<h2>String interpolation</h2>
<h3>{{ 'Hola'.repeat(4) }}</h3>
<p> mi nombre es: {{ name() }} y tengo {{ person.age }}</p>
<p> suma 3+3: {{ 3+3 }}</p>

<hr/>
<h2>Property Binding</h2>
<img [src]="person.avatar" width="150px" height="150px" alt="" srcset="">
<input type="text" [value]="person.name"/>
<input type="number" [value]="person.age" name="" id="">
<button [disabled]="disabled">Process</button>

<hr/>
<h2>Events</h2>
<button (click)="clickHandler()">DO something</button>
<br>
<input 
  type="number" 
  [value]="person.age" 
  (change)="changeHandler($event)"
  name="" id=""
/>

<input 
  type="text" 
  [value]="person.name" 
  (keydown)="keydownHandler($event)"
  name="" id=""
/>
<input 
  type="text" 
  [value]="person.name" 
  (keyup)="keydownHandler($event)"
  name="" id=""
/>


<input 
  type="text" 
  [value]="name()" 
  (change)="changeHandler($event)"
  name="" id=""
/>
<p> mi nombre es: {{ name() }} y tengo {{ person.age }}</p>

<ul>
  <p>Total: {{tasks().length}}</p>
  <li *ngFor="let task of tasks(); index as i">
    {{i}} {{task}}
  </li>
</ul>

<button (dblclick)="clickHandler()">DO something - doble</button>